[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolButton.Indeterminate

Indicates if the tool button is in an undetermined state.

## Declaration

Source position: comctrls.pp line 2209

`published property TToolButton.Indeterminate : Boolean read FIndeterminate write SetIndeterminate default False;`

## Description

Indeterminate is a Boolean property which indicates if the tool button is in an undetermined state and may not be applicable to the current context. Indeterminate means that the button is neither selected nor unselected, and normally causes it to be displayed with a "grayed" or "dimmed" appearance.

The default value for the property is False. When the property value is changed to True, the Down property is automatically set to False and the tool button is redrawn.